Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.text
Class QuoteEncoder

    java.lang.Object
      org.modeshape.common.text.QuoteEncoder

All Implemented Interfaces:
  TextDecoder, TextEncoder

    public class QuoteEncoder

extends Object
implements TextDecoder, TextEncoder

Field Summary
`static char` | `ESCAPE_CHARACTER`

Constructor Summary
`QuoteEncoder()`

Method Summary
`String` | `decode(String encodedText)` Return the decoded version of an encoded string
`String` | `encode(String text)` Returns the encoded version of a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ESCAPE_CHARACTER

    public static final char ESCAPE_CHARACTER

See Also:
  Constant Field Values

Constructor Detail

### QuoteEncoder

    public QuoteEncoder()

Method Detail

### decode

    public String decode(String encodedText)

  Return the decoded version of an encoded string

  Specified by:
    `decode` in interface `TextDecoder`
  Parameters:
    `encodedText` - the encoded text
  Returns:
    the unecoded form of the text, or null if the supplied node name is also null
  See Also:
    `TextDecoder.decode(java.lang.String)`

### encode

    public String encode(String text)

  Returns the encoded version of a string.

  Specified by:
    `encode` in interface `TextEncoder`
  Parameters:
    `text` - the text with characters that are to be encoded.
  Returns:
    the text with the characters encoded as required, or null if the supplied text is null
  See Also:
    `TextEncoder.encode(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.